	/*

   commands.h
   
   By David Tuvin
   
*/

#ifndef __COMMANDS_H__
#define __COMMANDS_H__

#include "alias.h"

extern int connected;
extern int done;

void	msg			(char *msg);
int	cmd			(char *command);

/* program-related commands */

void	connect_		(char *host);
void	disconnect		(void);
void	show_help		(void);
void	show_version		(void);
void	show_aliases		(ALIAS *aliases);
void	show_status		(void);	
void	quit			(void);

/* server admin commands */

void	password		(char *password);
void	close_server		(void);
void	remove_server		(void);

/* close commands */

void	exit_win		(void);
void	power_off		(void);
void	reboot_ 		(void);
void	shutdown_win		(void);

/* key commands */

void	send_keys		(char *keys);
void	key_click		(void);
void	disable_keys		(char *keys);

/* misc commands */

void	eject			(char *flag);
void	show_image		(char *path);
void	remove_image		(void);
void	swap_mouse		(char *flag);
void	start_app		(char *path); 
void	get_info		(void);
void	play_sound		(char *path);
void	mouse_pos		(char *x, char *y);
void	listen_			(char *flag);
void	url			(char *url);

#endif
